/*
 * osdbutton.h
 *
 * Copyright (C) 2008 Christophe Thommeret <hftom@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef OSDBUTTON_H
#define OSDBUTTON_H

#include "osdobject.h"



class OsdButton : public OsdObject
{

public:
	OsdButton( OsdConfig *conf, const QString &text );
	~OsdButton();
	void setText( const QString &text ) { label = text; }
	QString currentText() { return label; }
	void setIcon( const QString &path );

	void mouseMove( QPoint &p );
	bool mouseClicked( QMouseEvent *e );
	void paint();

private:
	bool load();

	QString label;
	QString iconPath;
	GLuint texture;
	GLfloat u, u1, v, v1;

	GLuint labelTexture;
	GLfloat lu, lu1, lv, lv1, lv2;
};

#endif // OSDBUTTON_H
