/*
 * osdvscrollbar.h
 *
 * Copyright (C) 2008 Christophe Thommeret <hftom@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef OSDVSCROLLBAR_H
#define OSDVSCROLLBAR_H

#include "osdobject.h"



class OsdVScrollBar : public OsdObject
{
	Q_OBJECT
public:
	enum OsdBarOrientation{ Vertical=1, Horizontal };

	OsdVScrollBar( OsdConfig *conf );
	~OsdVScrollBar();
	void setBarType( OsdBarOrientation o ) { type = o; }
	void setRange( int r ) { range = r; }
	void setPos( int p ) { pos = p; }
	bool isScrolling() { return scroll; }

	void mouseMove( QPoint &p );
	bool mouseClicked( QMouseEvent *e );
	void mouseReleased( QMouseEvent *e );
	void paint();

private:
	int pos;
	int range;
	bool scroll;
	int scrollOldPos, scrollStartPos;
	int buttonLen;
	int buttonOffset;
	int type;

signals:
	void scrolled( int off );
};

#endif // OSDVSCROLLBAR_H
